import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import moment from 'moment'
import './utils/certified_components'
import Vant from 'vant';
import 'vant/lib/index.css';
import './assets/css/reset.css'
import './assets/css/common.less'
import './assets/css/iconfont.css' 
import 'default-passive-events'
import 'babel-polyfill';
import Calendar from 'vue-mobile-calendar'

import VueI18n from 'vue-i18n'
Vue.use(VueI18n)
import {reg} from './utils/reg.js'
import {methods} from './utils/methods.js'

let echarts = require('echarts/lib/echarts');
require('echarts/lib/chart/bar')
require('echarts/lib/chart/pie')
require('echarts/lib/chart/line')
require('echarts/lib/component/tooltip')
require('echarts/lib/component/title')
require('echarts/lib/component/legend')
require('echarts/lib/component/legendScroll')
require('echarts/lib/component/markLine')
require('echarts/lib/component/markArea')
require('echarts/lib/component/dataZoom')

import { install } from 'vs-tree'
import 'vs-tree/dist/vs-tree.css'

Vue.use(install)
Vue.use(Vant);
Vue.use(Calendar);
Vue.prototype.$echarts = echarts;
Vue.prototype.$reg = reg;
Vue.prototype.$methods = methods;
Vue.prototype.$moment = moment;
// console.log = function(){}
// 缓存页面互动距离
import VueKeepScrollPosition from 'vue-keep-scroll-position'
Vue.use(VueKeepScrollPosition)

Vue.config.productionTip = false

if('returnCitySN' in window  && 'cip' in returnCitySN){
  store.commit('upIp',returnCitySN.cip);
}else{
  store.commit('upIp','114.55.209.85');
}
function setStatusBackground(path){
  let whiteList = ['/monitoring'];
  function plusReady() {
    // 设置系统状态栏背景
    if(whiteList.indexOf(path) > -1){
      plus.navigator.setStatusBarBackground('#FFFFFF'); 
      plus.navigator.setStatusBarStyle('dark');
    }else{
      plus.navigator.setStatusBarBackground('#0251C0'); 
      plus.navigator.setStatusBarStyle('light');
    }
  }
  if(window.plus) {
    plusReady();
  } else {
    document.addEventListener("plusready", plusReady, false);
  }
}

router.beforeEach(async(to, from, next) =>{
  // 判断路由
  window.scrollTo(0,0);
  store.commit('upRouteIndex',to.path)
  if(to.name != 'login' && to.name != 'changePassword'){
    if(localStorage.token && localStorage.userInfo){
      next();
      setStatusBackground(to.path);
    }else{
      next({path:'/login'})
      setStatusBackground('/login');
    }
  }else{
    store.commit('keepPageDelete',[]);
    store.commit('keepAliveScroll',0)
    next()
    setStatusBackground(to.path);
  }
})
import {frontList} from '@/service/index'
async function getFrontList(){
  let response = await frontList({Params:{client:'APP'}},{});
  if(response[0].code == 200){
    let zh = {};
    let en = {};
    Object.keys(response[0].data).forEach(m => {
      zh[m] = {};
      en[m] = {};
      Object.keys(response[0].data[m]).forEach(v => {
        zh[m][v] = response[0].data[m][v][0];
        en[m][v] = response[0].data[m][v][1];
      })
    })
    if(!localStorage.language){localStorage.language = 'zh-CN'}
    const i18n = new VueI18n({
        locale: localStorage.language ,   // 语言标识
        //this.$i18n.locale // 通过切换locale的值来实现语言切换
        messages: {
          'zh-CN': zh,   // 中文语言包
          'en-US': en    // 英文语言包
        }
    })
    new Vue({
      router,
      store,
      i18n,
      render: h => h(App)
    }).$mount('#app')
  }
  if(response[1].code == 200){
    let IPdata = response[1].data
    store.commit('upIp',IPdata)
  }
}
getFrontList();
