import { http,httpHD } from './http'
import { API } from './config'
import store from '../store'
// urls => 请求接口地址
// method => 提交方式
// datas => { Path（array）:'构建在地址后面+ / 链接', Data（object）:'传入data中的数据' , Params（object） :'传入params中( ? 后面的搜索参数 )' }
// token => 判断是否需要传入token

// JSON形式提交（处理复杂的数据结构）
export const JSONDATA = (urls, method, datas, token) => {
  let TOKEN = ''
    if (window.localStorage.getItem('token')) {
    TOKEN = window.localStorage.getItem('token')
  } else {
    console.log('本地没有token，没有登陆')
  }
  datas = datas || {};
  if (Object.prototype.toString.call(datas.Path) === '[object Array]') {
    datas.Path = datas.Path.join('/')
    }
  return {
    method,
    url: Object.prototype.toString.call(datas.Path) === '[object String]' ? API.URL + urls + '/' + datas.Path : API.URL + urls,
    headers:urls == '/app/login' ? {
      'X-Requsted-With': 'XMLHttpRequst',
      'X-Real-IP':store.state.ip,
      'Accept-Language': localStorage.language == 'en-US' ? 'zh_US' : '',
      'Content-Type': 'application/json;charset=UTF-8',
      'Authorization': token === false ? '' : TOKEN
    } : {
      'X-Requsted-With': 'XMLHttpRequst',
      'Accept-Language': localStorage.language == 'en-US' ? 'zh_US' : '',
      'Content-Type': 'application/json;charset=UTF-8',
      'Authorization': token === false ? '' : TOKEN
    },
    data: datas.Data ? datas.Data : {},
    params: datas.Params ? datas.Params : {}
  }
}
// 表单形式提交
export const FD = (urls, method, datas, token) => {
  let TOKEN = ''
    if (window.localStorage.getItem('token')) {
    TOKEN = window.localStorage.getItem('token')
  } else {
    console.log('本地没有token，没有登陆')
  }
  datas = datas || {};
  if (Object.prototype.toString.call(datas.Path) === '[object Array]') {
    datas = datas.join('/')
    }
  const fd = new FormData()
    if (datas.Data) {
    for (const key in datas.Data) {
      fd.append(key, datas.Data[key])
    }
  }
  return {
    method,
    url: Object.prototype.toString.call(datas.Path) === '[object String]' ? API.URL + urls + '/' + datas.Path : API.URL + urls,
    headers: {
      'Authorization': token === false ? '' : TOKEN,
      'Accept-Language': localStorage.language == 'en-US' ? 'zh_US' : '',
      'Content-Type': 'application/x-www-form-urlencoded'
    },
    data: fd,
    params: datas.Params ? datas.Params : {}
  }
}

export const UPLOAD = (urls , method, datas, token) => {
  let TOKEN = ''
    if (window.localStorage.getItem('token')) {
    TOKEN = window.localStorage.getItem('token')
  } else {
    console.log('本地没有token，没有登陆')
  }
  datas = datas || {};
  if (Object.prototype.toString.call(datas.Path) === '[object Array]') {
    datas = datas.join('/')
    }
  const fd = new FormData()
    if (datas.Data) {
    for (const key in datas.Data) {
      fd.append(key, datas.Data[key])
    }
  }
  return {
    method,
    url: Object.prototype.toString.call(datas.Path) === '[object String]' ? API.URL + urls + '/' + datas.Path : API.URL + urls,
    headers: {
      'Authorization': token === false ? '' : TOKEN,
      'Accept-Language': localStorage.language == 'en-US' ? 'zh_US' : '',
      'Content-Type': 'multipart/from-data'
    },
    data: fd,
    params: datas.Params ? datas.Params : {}
  }
} 
export async function frontList (params){
  return http([
    JSONDATA('/config/server/rpc/translation/front/list','get',params,false),
    JSONDATA('/getRealIp', 'GET', {}, false)
],false)
}