import Vue from 'vue'
import VueRouter from 'vue-router'


Vue.use(VueRouter)

import LOGIN from './modules/login'
import INDEX from './modules/index'
import HOME from './modules/home'
import EQUI from './modules/equipment'
import POLICE from './modules/police'
import MINE from './modules/mine'
import LAYOUT from './modules/layout'

const routes = [
  {
    path: '/',
    name: 'home',
    meta: {
        index:1
    },
    component: () => import(/* webpackChunkName: "Home" */ '../views/Home.vue')
  },
  ...LOGIN,
  ...INDEX,
  ...HOME,
  ...EQUI,
  ...POLICE,
  ...MINE,
  ...LAYOUT
]

const router = new VueRouter({
  mode: 'hash',
  base: process.env.BASE_URL,
  routes
})

export default router
