import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

export default new Vuex.Store({
  state: {
    routeIndex:'',
    netStatus:1,//网络状态 1 => 有网  0 => 无网
    pushStatus:2,
    ip:'',
    versionBl:true,
    
    pathTransition:[],
    index:'',//记录路由中的index
    transitionName: '',//记录转场动画的切入切出方式
    keepAlive:[],//缓存的页面
    scrolltop:0,
    keepPage:['equipment','monitoring'],
  },
  mutations: {
    // 页面缓存
    keepPageAdd(state,params){
      state.keepPage = params
    },
    keepPageDelete(state,params){
      state.keepPage = params
    },
    keepAliveScroll(state,params){
      state.scrolltop = params;
    },
    upRouteIndex(state,params){
      state.routeIndex = params;
    },
    netType(state,params){
      state.netStatus = params
    },
    upPushStatus(state,params){
      state.pushStatus = params;
    },
    upIp(state,params){
      state.ip = params;
    },
    upVersionBl(state,params){
      state.versionBl = params;
    },
    // 过渡效果
    SET_PATH(state, path) {
      state.pathTransition = path;
    },
    SET_INDEX(state,index){
      state.index = index
    },
    SET_TRANSITION(state,name){
      state.transitionName = name
    },
  },
  actions: {
  },
  modules: {
  }
})
